[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: handle_race_condition(): do cleanup before aborting
Holger Levsen
holger at moszumanska.debian.org
Wed Sep 23 13:21:02 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 8c7fa2efc26d05ad86c15bcd58814fd6efd820e7
Author: Holger Levsen <holger at layer-acht.org>
Date: Wed Sep 23 15:20:15 2015 +0200
reproducible: handle_race_condition(): do cleanup before aborting
---
bin/reproducible_build.sh | 3 +++
1 file changed, 3 insertions(+)
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index a03e66b..f1a25d0 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -49,6 +49,9 @@ handle_race_condition() {
SAVE_ARTIFACTS=0
if [ ! -z "$NOTIFY" ] ; then NOTIFY="failure" ; fi
fi
+ # cleanup
+ rm -r $TMPDIR || true
+ if ! $BAD_LOCKFILE ; then rm -f $LOCKFILE ; fi
exec /srv/jenkins/bin/abort.sh
exit 0
}
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list